Bug 444709 - Out of IOMMU space on GA-MA770-DS3
Out of IOMMU space on GA-MA770-DS3
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-30 02:59 EDT by David Nečas
Modified: 2009-10-12 02:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-10-12 02:48:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda log (21.07 KB, text/plain)
2008-04-30 02:59 EDT, David Nečas
no flags Details
syslog (2.45 MB, text/plain)
2008-04-30 02:59 EDT, David Nečas
no flags Details

  None (edit)
Description David Nečas 2008-04-30 02:59:13 EDT
Description of problem:
The problem occurs in network install of Fedora 9 Beta on a Phenom box with
GigaByte GB-MA770-DS3 motherboard.

After selecting more or less default options (logs will be attached), the
installation gets into the package download and install stage.  After
downloading a few packages it stops to a crawl, package fetch errors start to
occur and

<3>PCI-DMA: Out of IOMMU space for 1536 bytes at device 0000:02:00.0

is repeatedly printed to console (1536 looks like the Ethernet frame size).  The
network seems to sort of work even afterwards and the install would probably
complete, except that it might take a few weeks.

How reproducible:

Steps to Reproduce:
Attempt a network install of Fedora 9 Beta on GA-MA770-DS3 box.

Additional info:
This might be related to bug 278721, though the motherboard is quite different.

The logs again contain

   Please enable the IOMMU option in the BIOS setup

The BIOS has no such option (did try Ctrl-F1).  Also, the log contains some
confusing messages about AGP -- even though the board has no AGP port and the
BIOS does not have a single AGP related setting.
Comment 1 David Nečas 2008-04-30 02:59:13 EDT
Created attachment 304186 [details]
Anaconda log
Comment 2 David Nečas 2008-04-30 03:00:00 EDT
Created attachment 304188 [details]
Comment 3 Chuck Ebbert 2008-05-01 01:54:51 EDT
Can you try adding "iommu=memaper=3" to the kernel boot options and see if that
Comment 4 David Nečas 2008-05-06 06:56:41 EDT
Adding iommu=memaper=3 indeed helps, I no longer get `out of IOMMU space' and
the installation seem to complete normally, thanks.
Comment 5 David Nečas 2008-05-07 03:18:14 EDT
Well, now the story continues as in bug 278721.  After a cold boot (with
kernel-2.6.25-0.234.rc9.git1.fc9.x86_64) I get

  Aperture beyond 4GB.  Ignoring.
  Your BIOS doesn't have a aperture memory hole
  Please enable the IOMMU option in the BIOS setup
  This costs you 256 MB of RAM

after Booting the kernel.

The 256 MB of lost memory is caused by me adding iommu=memaper=3 to the kernel 
line.  After removing it, the amount decreases to 64 MB.
Comment 6 Chuck Ebbert 2008-05-13 04:13:21 EDT
You can also try using 2 instead of 3 and get 128MB. But why a system BIOS would
move the aperture on warm boot vs. cold like in the other report I don't know...
did you try warm-booting to see if the error goes away?
Comment 7 Bug Zapper 2008-05-14 06:25:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 8 David Nečas 2008-05-27 04:41:15 EDT
After some more experimentation...

Fedora 9 (final) installation no longer requires passing iommu=memaper=3.

The aperture issue after installation remains.  My original observation seems to
be wrong, though. The only difference between cold and warm boot is the first
line of the lost-memory message:

Cold boot:
Aperture beyond 4B.  Ignoring.

Warm boot:
Aperture pointing to e820 RAM.  Ignoring.

Comment 9 Vaclav "sHINOBI" Misek 2008-07-16 06:53:03 EDT
The same problem is with my GA-MA790FX-DQ6. The last working kernel (without Out
of IOMMU space error) is I haven't tried iommu=memaper=3
parameter with newer kernels yet. Quite the same config (but there is X2
processor, not Phenom) works without probs under F9 kernels, although on both
machines are the problems with aperture issue.
Comment 10 Bug Zapper 2009-06-09 20:32:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 11 David Nečas 2009-06-11 08:44:11 EDT
Due to boot changes I can no longer spot the message during boot in F11, but dmesg still reads (with kernel-

Checking aperture...
No AGP bridge found
Node 0: aperture @ 20000000 size 32 MB
Aperture pointing to e820 RAM. Ignoring.
Your BIOS doesn't leave a aperture memory hole
Please enable the IOMMU option in the BIOS setup
This costs you 64 MB of RAM
Mapping aperture over 65536 KB of RAM @ 20000000

and AFICT it indeed costs me 64 MB of RAM.
Comment 12 Chuck Ebbert 2009-10-12 02:48:11 EDT
Pretty sure this is fixed, reopen the bug if it's still a problem.

Note You need to log in before you can comment on or make changes to this bug.